# Interface RadarApi

Radar API methods available on the server.

interface RadarApi {
getRadarInfo: (radarId: string) => Promise<RadarInfo | null>;
getRadars: () => Promise<RadarInfo[]>;
register: (pluginId: string, provider: RadarProvider) => void;
unRegister: (pluginId: string) => void;
}

- Defined in radarapi.ts:731

##### Index

### Properties

getRadarInfo
getRadars
register
unRegister

## Properties

### getRadarInfo

getRadarInfo: (radarId: string) => Promise<RadarInfo | null>

Get info for a specific radar

- Defined in radarapi.ts:739

### getRadars

getRadars: () => Promise<RadarInfo[]>

Get list of all radars from all providers

- Defined in radarapi.ts:737

### register

register: (pluginId: string, provider: RadarProvider) => void

Register a radar provider plugin

- Defined in radarapi.ts:733

### unRegister

unRegister: (pluginId: string) => void

Unregister a radar provider plugin

- Defined in radarapi.ts:735